<template>
  <div id="app">
    <thirdParty ref="thirdparty"/>
    <div class="w-100 text-end">
      <button type="button" name="cancel-btn" id="cancel-btn" class="btn btn-lg m-2">Cancel</button>
      <button @click="saveDraft" type="button" name="save-draft-btn" id="save-draft-btn" class="btn btn-lg m-2 btn-outline-dark">Save as Draft</button>
      <button @click="submitForm" type="button" name="submit-btn" id="submit-btn" class="btn btn-primary btn-lg m-2 main-app-color">Submit</button>
    </div>
  </div>
</template>

<script>
import thirdParty from './components/thirdParty.vue'

export default {
  name: 'App',
  components: {
    thirdParty
  },
  methods: {
    saveDraft(){
      console.log(this.$refs['thirdparty'].$refs['costDetail']['mainData'])
      // console.log('SAVE')
    },
    submitForm(){
      console.log('ASDF')
    },
  },  
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* text-align: center; */
  color: #2c3e50;
  /* margin-top: 60px; */
  margin: 20px;
}
</style>
